Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.xml.dom
Class DOMCategory

    java.lang.Object
      groovy.xml.dom.DOMCategory

    public class DOMCategory

extends Object

Author:
  sam, paulk

Constructor Summary
`DOMCategory()`

Method Summary
`static Element` | `appendNode(Element self, Object name)`
`static Element` | `appendNode(Element self, Object name, Map attributes)`
`static Element` | `appendNode(Element self, Object name, Map attributes, String value)`
`static Element` | `appendNode(Element self, Object name, String value)`
`static NamedNodeMap` | `attributes(Element element)`
`static NodeList` | `breadthFirst(Element self)`
`static NodeList` | `children(Element self)`
`static NodeList` | `depthFirst(Element self)`
`static Object` | `get(Object o, String elementName)`
`static Node` | `getAt(groovy.xml.dom.DOMCategory.NodeListsHolder o, int i)`
`static Node` | `getAt(groovy.xml.dom.DOMCategory.NodesHolder o, int i)`
`static Node` | `getAt(Node o, int i)`
`static boolean` | `isEmpty(NodeList self)`
`static List` | `list(NodeList self)`
`static String` | `name(Element element)`
`static Node` | `parent(Node node)`
`static void` | `putAt(Element self, String property, Object value)`
`static void` | `setValue(Element self, String value)`
`static int` | `size(NamedNodeMap namedNodeMap)`
`static int` | `size(NodeList self)`
`static String` | `text(Object o)`
`static String` | `toString(Object o)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DOMCategory

    public DOMCategory()

Method Detail

### get

    public static Object get(Object o,
                             String elementName)

### attributes

    public static NamedNodeMap attributes(Element element)

### size

    public static int size(NamedNodeMap namedNodeMap)

### getAt

    public static Node getAt(Node o,
                             int i)

### getAt

    public static Node getAt(groovy.xml.dom.DOMCategory.NodeListsHolder o,
                             int i)

### getAt

    public static Node getAt(groovy.xml.dom.DOMCategory.NodesHolder o,
                             int i)

### name

    public static String name(Element element)

### parent

    public static Node parent(Node node)

### text

    public static String text(Object o)

### list

    public static List list(NodeList self)

### depthFirst

    public static NodeList depthFirst(Element self)

### setValue

    public static void setValue(Element self,
                                String value)

### putAt

    public static void putAt(Element self,
                             String property,
                             Object value)

### appendNode

    public static Element appendNode(Element self,
                                     Object name)

### appendNode

    public static Element appendNode(Element self,
                                     Object name,
                                     Map attributes)

### appendNode

    public static Element appendNode(Element self,
                                     Object name,
                                     String value)

### appendNode

    public static Element appendNode(Element self,
                                     Object name,
                                     Map attributes,
                                     String value)

### breadthFirst

    public static NodeList breadthFirst(Element self)

### children

    public static NodeList children(Element self)

### toString

    public static String toString(Object o)

### size

    public static int size(NodeList self)

### isEmpty

    public static boolean isEmpty(NodeList self)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2008 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD